Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.ant
Class JMXQueryTask

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.apache.catalina.ant.AbstractCatalinaTask
                  org.apache.catalina.ant.JMXQueryTask

public class JMXQueryTask
extends AbstractCatalinaTask

Ant task that implements the JMX Query command (`/jmxproxy/?qry`) supported by the Tomcat manager application.

Version:
  $Revision: 1.3 $
Author:
  Vivek Chopra

Field Summary
`protected java.lang.String` | `query` The JMX query string

Fields inherited from class org.apache.catalina.ant.AbstractCatalinaTask
`password, url, username`

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`JMXQueryTask()`

Method Summary
`void` | `execute()` Execute the requested operation.
`java.lang.String` | `getQuery()` Get method for the JMX query string
`void` | `setQuery(java.lang.String query)` Set method for the JMX query string.

Methods inherited from class org.apache.catalina.ant.AbstractCatalinaTask
`execute, execute, getPassword, getUrl, getUsername, setPassword, setUrl, setUsername`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, reconfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### query

    protected java.lang.String query

  The JMX query string

  See Also:
    `setQuery()`

Constructor Detail

### JMXQueryTask

    public JMXQueryTask()

Method Detail

### getQuery

    public java.lang.String getQuery()

  Get method for the JMX query string

  Returns:
    Query string

### setQuery

    public void setQuery(java.lang.String query)

  Set method for the JMX query string.

  Examples of query format:

  - *:*
  - *:type=RequestProcessor,*
  - *:j2eeType=Servlet,*
  - Catalina:type=Environment,resourcetype=Global,name=simpleValue

  Parameters:
    `query` - JMX Query string

### execute

    public void execute()
                 throws org.apache.tools.ant.BuildException

  Execute the requested operation.

  Overrides:
    `execute` in class `AbstractCatalinaTask`
  Throws:
    `org.apache.tools.ant.BuildException` - if an error occurs

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.